# Uses of Class
org.opensaml.xmlsec.encryption.support.RSAOAEPParameters

Packages that use RSAOAEPParameters
Package
Description
org.opensaml.saml.security.impl
Classes related to verifying various credentials within a SAML system.
org.opensaml.xmlsec
Configuration and support classes for security.
org.opensaml.xmlsec.encryption.support
Functional support for XML Encryption.
org.opensaml.xmlsec.impl
Implementation of configuration and parameter resolver classes.

## Uses of RSAOAEPParameters in org.opensaml.saml.security.impl

Methods in org.opensaml.saml.security.impl with parameters of type RSAOAEPParameters
Modifier and Type
Method
Description
`protected void`
SAMLMetadataEncryptionParametersResolver.`populateRSAOAEPParamsFromEncryptionMethod(RSAOAEPParameters params, EncryptionMethod encryptionMethod, Predicate<String> includeExcludePredicate)`
Extract `DigestMethod`, `MGF` and `OAEPparams` data present on the supplied instance of `EncryptionMethod` and populate it on the supplied instance of of `RSAOAEPParameters`.

## Uses of RSAOAEPParameters in org.opensaml.xmlsec

Fields in org.opensaml.xmlsec declared as RSAOAEPParameters
Modifier and Type
Field
Description
`private RSAOAEPParameters`
EncryptionParameters.`rsaOAEPParameters`
RSA OAEP parameters.
Methods in org.opensaml.xmlsec that return RSAOAEPParameters
Modifier and Type
Method
Description
`RSAOAEPParameters`
EncryptionConfiguration.`getRSAOAEPParameters()`
Get the instance of `RSAOAEPParameters`.
`RSAOAEPParameters`
EncryptionParameters.`getRSAOAEPParameters()`
Get the instance of `RSAOAEPParameters`.
Methods in org.opensaml.xmlsec with parameters of type RSAOAEPParameters
Modifier and Type
Method
Description
`void`
EncryptionParameters.`setRSAOAEPParameters(RSAOAEPParameters params)`
Set the instance of `RSAOAEPParameters`.

## Uses of RSAOAEPParameters in org.opensaml.xmlsec.encryption.support

Fields in org.opensaml.xmlsec.encryption.support declared as RSAOAEPParameters
Modifier and Type
Field
Description
`private RSAOAEPParameters`
KeyEncryptionParameters.`rsaOAEPParameters`
RSA OAEP parameters.
Methods in org.opensaml.xmlsec.encryption.support that return RSAOAEPParameters
Modifier and Type
Method
Description
`RSAOAEPParameters`
KeyEncryptionParameters.`getRSAOAEPParameters()`
Get the instance of `RSAOAEPParameters`.
Methods in org.opensaml.xmlsec.encryption.support with parameters of type RSAOAEPParameters
Modifier and Type
Method
Description
`protected org.apache.xml.security.encryption.XMLCipher`
Encrypter.`buildXMLCipher(Key encryptionKey, String encryptionAlgorithmURI, RSAOAEPParameters rsaOAEPParams)`
Construct and return an instance of `XMLCipher` based on the given inputs.
`protected EncryptedKey`
Encrypter.`encryptKey(Key targetKey, Key encryptionKey, String encryptionAlgorithmURI, RSAOAEPParameters rsaOAEPParams, Document containingDocument)`
Encrypts a key using the specified encryption key and algorithm URI.
`protected String`
Encrypter.`getEffectiveMGF(String encryptionAlgorithmURI, RSAOAEPParameters rsaOAEPParams)`
Get the effective RSA OAEP mask generation function (MGF) to use.
`void`
KeyEncryptionParameters.`setRSAOAEPParameters(RSAOAEPParameters params)`
Set the instance of `RSAOAEPParameters`.

## Uses of RSAOAEPParameters in org.opensaml.xmlsec.impl

Fields in org.opensaml.xmlsec.impl declared as RSAOAEPParameters
Modifier and Type
Field
Description
`private RSAOAEPParameters`
BasicEncryptionConfiguration.`rsaOAEPParameters`
RSA OAEP parameters.
Methods in org.opensaml.xmlsec.impl that return RSAOAEPParameters
Modifier and Type
Method
Description
`RSAOAEPParameters`
BasicEncryptionConfiguration.`getRSAOAEPParameters()`
Get the instance of `RSAOAEPParameters`.
Methods in org.opensaml.xmlsec.impl with parameters of type RSAOAEPParameters
Modifier and Type
Method
Description
`protected void`
BasicEncryptionParametersResolver.`populateRSAOAEPParams(RSAOAEPParameters rsaParams, CriteriaSet criteria, Predicate<String> includeExcludePredicate)`
Populate an instance of `RSAOAEPParameters` based on data from the supplied instances of `EncryptionConfiguration`.
`BasicEncryptionConfiguration`
BasicEncryptionConfiguration.`setRSAOAEPParameters(RSAOAEPParameters params)`
Set the instance of `RSAOAEPParameters`.